.form-container {
	--bg: url("bg.png");
	--border-bg: rgba(45, 41, 38, 0.7);
	--btn-bg: #f23030;
	--main-color: rgb(45, 41, 38);
	--placeholder-color: rgba(45, 41, 38, 0.5);
	--consent-color: #003c96;
	--consent-link-color: #f23030;

	border-radius: 12px;
	padding: 40px;
	max-width: 648px;
	background: var(--bg);
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
}

.form-container__form {
	border-radius: 12px;
	padding: 40px;
	background: #fff;
	gap: 20px;
}

.form-container__label {
	position: relative;
}

.form-container__input {
	border: 2px solid var(--border-bg);
	border-radius: 70px;
	padding: 0 30px;
	font-weight: 400;
	font-size: 24px;
	line-height: 120%;
	letter-spacing: -0.01em;
	color: var(--main-color);
	height: 60px;
}

.form-container__input:focus-visible {
	outline: none;
	border-radius: 70px;
	border-color: var(--main-color);
}

.form-container__input::placeholder {
	font-size: 0;
}

.form-container__text {
	margin: 0;
	padding: 0 6px;
	position: absolute;
	left: 24px;
	top: 17px;
	font-weight: 400;
	font-size: 24px;
	line-height: 120%;
	letter-spacing: -0.01em;
	color: var(--placeholder-color);
	background-color: #fff;
	transition: translate 0.3s, color 0.3s, font-size 0.3s;
}

.form-container__item--focus .form-container__text {
	font-size: 17px;
	translate: 0 -28px;
	color: var(--main-color);
}

.consent .form-custom-checkbox__text {
	color: var(--consent-color);
}

.consent .form-custom-checkbox__text a {
	color: var(--consent-link-color);
	transition: color 0.3s, text-decoration-color 0.3s;
}

.consent .form-custom-checkbox__text a:hover {
	text-decoration-color: transparent;
	color: var(--consent-link-color);
}

.consent .form-custom-checkbox {
	align-items: flex-start;
	gap: 12px;
}

.consent .form-custom-checkbox__input {
	border: 2px solid var(--consent-color);
	border-radius: 100%;
	width: 20px;
	height: 20px;
}

.consent .form-custom-checkbox__input:checked {
	background-color: #fff;
}

.consent .form-custom-checkbox__input::before {
	left: 50%;
	top: 50%;
	border: none;
	display: block;
	width: 10px;
	height: 8px;
	background-image: url("https://cdn.lentochka.lenta.com/assets/8699755b-83a8-4ddf-a728-ae5102a75edf/check.svg");
	background-position: center;
	background-size: cover;
	background-repeat: no-repeat;
	transform: none;
	translate: -50% -50%;
}

.form-container__btn,
.form-container__success-btn {
	border-radius: 12px;
	padding: 18px 40px;
	font-weight: 600;
	font-size: 18px;
	line-height: 89%;
	text-align: center;
	color: #fff;
	background: var(--btn-bg);
}

.consent__doc {
	display: none;
}

.consent .form-container__text {
	display: none;
}

.form-container__success {
	border-radius: 12px;
	padding: 40px;
	width: 100%;
	height: 100%;
	background-color: #fff;
}

.form-container__success-icon {
	margin: 0;
}

@media (max-width: 830px) {
	.form-container {
		padding: 24px;
		max-width: 372px;
	}

	.form-container__form {
		padding: 40px 24px;
	}

	.form-container__input {
		padding: 0 18px;
		height: 48px;
		font-size: 16px;
		line-height: 110%;
	}

	.form-container__text {
		left: 12px;
		top: 18px;
		font-size: 16px;
		line-height: 110%;
	}

	.form-container__item--focus .form-container__text {
		font-size: 14px;
		translate: 0 -26px;
	}

	.form-custom-checkbox__text {
		font-size: 16px;
	}

	.form-container__btn {
		margin-top: 12px;
		padding: 11px 24px;
		font-size: 14px;
		line-height: 130%;
	}
}